This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1287979 - Question mark is shown beside status in pod table
Question mark is shown beside status in pod table
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Samuel Padgett
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 03:27 EST by Yanping Zhang
Modified: 2016-05-12 13:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:09:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2015-12-03 03:27:59 EST
Description of problem:
On web console, check pod status under "Browse"->"Pods", there is a question mark beside the pod status for each pod in table.

Version-Release number of selected component (if applicable):
$ openshift version
openshift v1.1-311-gb6ea411
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2

How reproducible:
Always

Steps to Reproduce:
1.Create app in project.
$ oc create -f /data/src/github.com/openshift/origin/examples/sample-app/application-template-stibuild.json -n prozyp
template "ruby-helloworld-sample" created
$ oc new-app ruby-helloworld-sample -n prozyp

2.Check pod status under "Browse"->"Pods" on web console
3.

Actual results:
2.There is a question mark beside the pod status for each pod in table.


Expected results:
2.Should show suitable mark for different status, but not a curious question mark for every pod.

Additional info:
Comment 1 Samuel Padgett 2015-12-03 14:01:36 EST
https://github.com/openshift/origin/pull/6182
Comment 2 Yanping Zhang 2015-12-04 03:35:48 EST
Will have a check after pull 6182 merged.
Comment 3 Yanping Zhang 2015-12-06 23:21:25 EST
Have checked on devenv-rhel7_2888.
# openshift version
openshift v1.1-354-g43aa4a4
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2
Now all the icons in pod table are shown correctly, so move the bug to Verified.

Note You need to log in before you can comment on or make changes to this bug.